List Payment Terms
curl --request GET \
--url https://qwoty.app/api/payment-terms \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/payment-terms"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/payment-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qwoty.app/api/payment-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qwoty.app/api/payment-terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qwoty.app/api/payment-terms")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qwoty.app/api/payment-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Net 30 Days",
"api_name": "net_30_days",
"reference": "PT001",
"is_active": true,
"identifiers": {
"crm": null,
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Full Payment",
"percentage": 100,
"term": "net30",
"custom_text": null,
"order_number": 1,
"is_date_required": false
}
],
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z",
"deleted_at": null,
"deleted_by": null
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "30% Deposit + 70% on Delivery",
"api_name": "30_deposit_70_delivery",
"reference": "PT002",
"is_active": true,
"identifiers": {
"crm": "crm_123",
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440003",
"name": "Deposit",
"percentage": 30,
"term": "due_now",
"custom_text": null,
"order_number": 1,
"is_date_required": false
},
{
"id": "660e8400-e29b-41d4-a716-446655440004",
"name": "Balance",
"percentage": 70,
"term": "due_on_receipt",
"custom_text": null,
"order_number": 2,
"is_date_required": false
}
],
"created_at": "2024-12-21T11:00:00Z",
"updated_at": "2024-12-21T11:00:00Z",
"deleted_at": null,
"deleted_by": null
}
]
}
Payment Terms
List Payment Terms
Retrieve all payment terms for your workspace
GET
/
api
/
payment-terms
List Payment Terms
curl --request GET \
--url https://qwoty.app/api/payment-terms \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/payment-terms"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/payment-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qwoty.app/api/payment-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qwoty.app/api/payment-terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qwoty.app/api/payment-terms")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qwoty.app/api/payment-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Net 30 Days",
"api_name": "net_30_days",
"reference": "PT001",
"is_active": true,
"identifiers": {
"crm": null,
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Full Payment",
"percentage": 100,
"term": "net30",
"custom_text": null,
"order_number": 1,
"is_date_required": false
}
],
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z",
"deleted_at": null,
"deleted_by": null
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "30% Deposit + 70% on Delivery",
"api_name": "30_deposit_70_delivery",
"reference": "PT002",
"is_active": true,
"identifiers": {
"crm": "crm_123",
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440003",
"name": "Deposit",
"percentage": 30,
"term": "due_now",
"custom_text": null,
"order_number": 1,
"is_date_required": false
},
{
"id": "660e8400-e29b-41d4-a716-446655440004",
"name": "Balance",
"percentage": 70,
"term": "due_on_receipt",
"custom_text": null,
"order_number": 2,
"is_date_required": false
}
],
"created_at": "2024-12-21T11:00:00Z",
"updated_at": "2024-12-21T11:00:00Z",
"deleted_at": null,
"deleted_by": null
}
]
}
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenQuery Parameters
boolean
Filter by active status. Omit to return all payment terms.
string
Search by name or api_name
Examples
curl https://qwoty.app/api/payment-terms \
-H "Authorization: Bearer qwoty_your_token"
curl "https://qwoty.app/api/payment-terms?is_active=true" \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch('https://qwoty.app/api/payment-terms', {
headers: {
Authorization: 'Bearer qwoty_your_token',
},
})
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/payment-terms',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates if the request was successful
array
Array of payment term objects
Show Payment Term Object
Show Payment Term Object
string
Unique identifier (UUID)
string
Payment term name
string
API identifier
string
Internal reference
boolean
Active status
object
array
Array of installment objects with id, name, percentage, term, custom_text, order_number, and is_date_required
string
ISO 8601 timestamp
string
ISO 8601 timestamp
string | null
Deletion timestamp. Always
null: deleted payment terms are not returnedstring | null
ID of the user who deleted the payment term. Always
null in responses{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Net 30 Days",
"api_name": "net_30_days",
"reference": "PT001",
"is_active": true,
"identifiers": {
"crm": null,
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Full Payment",
"percentage": 100,
"term": "net30",
"custom_text": null,
"order_number": 1,
"is_date_required": false
}
],
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z",
"deleted_at": null,
"deleted_by": null
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "30% Deposit + 70% on Delivery",
"api_name": "30_deposit_70_delivery",
"reference": "PT002",
"is_active": true,
"identifiers": {
"crm": "crm_123",
"erp": null,
"accounting": null
},
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440003",
"name": "Deposit",
"percentage": 30,
"term": "due_now",
"custom_text": null,
"order_number": 1,
"is_date_required": false
},
{
"id": "660e8400-e29b-41d4-a716-446655440004",
"name": "Balance",
"percentage": 70,
"term": "due_on_receipt",
"custom_text": null,
"order_number": 2,
"is_date_required": false
}
],
"created_at": "2024-12-21T11:00:00Z",
"updated_at": "2024-12-21T11:00:00Z",
"deleted_at": null,
"deleted_by": null
}
]
}
Error Responses
{
"error": "Invalid or expired token"
}
Last modified on October 28, 2026
Was this page helpful?

